Bug 7798 - [4.0.1] Инсталятор не запускается на nv
: [4.0.1] Инсталятор не запускается на nv
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-install2)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-31 14:24 by
Modified: 2007-11-10 18:02 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-31 14:24:39
Дистрибутив: 3.0rc6
Похоже забыли модуль nvidia к ядру.
------- Comment #1 From 2005-08-31 14:40:38 -------
reassign to separator
------- Comment #2 From 2005-09-06 09:24:53 -------
исправлено в rc7
(убрано последнее упоминание про nvidia_drv в системе)
------- Comment #3 From 2005-09-21 12:08:08 -------
Дистрибутив: 3.0rc7

(In reply to comment #2)
> исправлено в rc7
> (убрано последнее упоминание про nvidia_drv в системе)

Что то незаметно.
Попрежнему X ругаются на отсутствие драйвера nvidia.

------- Comment #4 From 2005-09-23 02:22:21 -------
(In reply to comment #2)
> исправлено в rc7
> (убрано последнее упоминание про nvidia_drv в системе)
> 

Это конец X11.log:
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "nvidia"
(II) Loading /usr/X11R6/lib/modules/drivers/nvidia_drv.o
(EE) LoadModule: Module nvidia does not have a nvidiaModuleData data object.
(II) UnloadModule: "nvidia"
(II) Unloading /usr/X11R6/lib/modules/drivers/nvidia_drv.o
(EE) Failed to load module "nvidia" (invalid module, 0)
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 6.8.2, module version = 1.0.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.4
(II) LoadModule: "kbd"
(II) Loading /usr/X11R6/lib/modules/input/kbd_drv.o
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 6.8.2, module version = 1.0.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.4
(EE) No drivers available.

Fatal server error:
no screens found
------- Comment #5 From 2005-10-09 22:54:56 -------
у меня то же самое при старте stage2 инсталлера (точнее, compqact-rc7).

выдает LoadModule: Module nvidia does not have a nvidiaModuleData data object.

и вылетает в комстроку. текстового режима еще не реализовали, фреймбуфер тоже
не
задействуется.
Поставить ничего невозможно, даже на карте, на которой все версии инсталлера
работали (2.9.9.2 - 2.9.15) - geforce fx 5500

когда rc8-то выйдет?
------- Comment #6 From 2005-10-10 12:05:34 -------
Дистрибутив: 3.0rc8
Теперь X просто подвисают, складывается такое впечатление.
Железо: nForce3, GeForce4MX.
При этом:
- монитор отключается;
- перейти в консоль и логи можно;
- в логах никаких ошибок не видно;
- кроме того логи не завершаются;
- пробовал на различных разрешениях, а также на VESA. 
------- Comment #7 From 2005-10-10 17:13:58 -------
А что прописано в /tmp/xconfig ? Какой драйвер ?
------- Comment #8 From 2005-10-11 07:33:32 -------
у меня в rc7 был прописан nvidia. 
кс8 попробовал, инсталлятор запускается (FX 5500) 
НО большой вопрос в https://bugzilla.altlinux.org/show_bug.cgi?id=8174 
------- Comment #9 From 2005-10-12 13:21:56 -------
Дистрибутив: 3.0rc9
Ситуация таже. Т.е X висят.
Что в /tmp/xconfig скажу позже.
Результат команды <pciscan -p -c003>:
//-------------------------------------------------------------------------
Recommended driver     Description
------------------     -----------
/sys/board/bus/pci/0000/02/00/0/	Card:Generic VESA compatible
/sys/board/bus/pci/0000/02/00/0/	bus:02
/sys/board/bus/pci/0000/02/00/0/	classname:VGA compatible controller
/sys/board/bus/pci/0000/02/00/0/	classpath:003:00:00
/sys/board/bus/pci/0000/02/00/0/	cmd:0007
/sys/board/bus/pci/0000/02/00/0/	dev:00
/sys/board/bus/pci/0000/02/00/0/	device:0185
/sys/board/bus/pci/0000/02/00/0/	func:0
/sys/board/bus/pci/0000/02/00/0/	hwid:C27C448D703BDDC9
/sys/board/bus/pci/0000/02/00/0/	irq:10
/sys/board/bus/pci/0000/02/00/0/	name:nVidia Corporation NV18 [GeForce4 MX 4000
AGP 8x]
/sys/board/bus/pci/0000/02/00/0/	pciclass:300
/sys/board/bus/pci/0000/02/00/0/	pcisubclass:0000
/sys/board/bus/pci/0000/02/00/0/	rev:a4
/sys/board/bus/pci/0000/02/00/0/	slot:0000:02:00.0
/sys/board/bus/pci/0000/02/00/0/	status:02b0
/sys/board/bus/pci/0000/02/00/0/	vendor:10de
------- Comment #10 From 2005-10-12 14:21:35 -------
(In reply to comment #7)
> А что прописано в /tmp/xconfig ? Какой драйвер ?

Vesa, однако.
------- Comment #11 From 2005-10-13 14:57:54 -------
Вот блин. Добавлю в hwdatabase nv на эту карточку, всё станет хорошо.
------- Comment #12 From 2005-10-14 11:59:39 -------
fixed (hwdatabase-0.3.18)

еще вопрос: видеокарта работает на nvidia или нет ?
------- Comment #13 From 2005-10-14 14:56:51 -------
(In reply to comment #12)
> fixed (hwdatabase-0.3.18)
> еще вопрос: видеокарта работает на nvidia или нет ?

На nv и nvidia работает.
Только что попробовал на других дистрибутивах с vesa драйвером.
Везде стабильно подвисает.
Пробовал на:
- ALM24
- FC4
------- Comment #14 From 2005-10-14 17:18:10 -------
Т.е. - для нее можно смело ставить nvidia ?
------- Comment #15 From 2005-10-14 17:53:18 -------
(In reply to comment #14)
> Т.е. - для нее можно смело ставить nvidia ?

На счёт "смело" незнаю, но на 7174 работает. :)

------- Comment #16 From 2005-10-14 17:56:38 -------
понятно. поставил nv

у нас 7676, наверное на них не будет работать.
------- Comment #17 From 2005-10-24 17:43:31 -------
Дистрибутив: 3.0rc10

(In reply to comment #16)
> понятно. поставил nv

Както невидно. Запускается на vesa, в смысле зависает.
------- Comment #18 From 2005-10-25 10:31:26 -------
Дистрибутив: 3.0rc10

Recommended driver     Description
------------------     -----------
/sys/board/bus/pci/0000/02/00/0/	Card:Generic VESA compatible
/sys/board/bus/pci/0000/02/00/0/	bus:02
/sys/board/bus/pci/0000/02/00/0/	classname:VGA compatible controller
/sys/board/bus/pci/0000/02/00/0/	classpath:003:00:00
/sys/board/bus/pci/0000/02/00/0/	cmd:0007
/sys/board/bus/pci/0000/02/00/0/	dev:00
/sys/board/bus/pci/0000/02/00/0/	device:0185
/sys/board/bus/pci/0000/02/00/0/	func:0
/sys/board/bus/pci/0000/02/00/0/	hwid:C27C448D703BDDC9
/sys/board/bus/pci/0000/02/00/0/	irq:10
/sys/board/bus/pci/0000/02/00/0/	name:nVidia Corporation NV18 [GeForce4 MX 4000
AGP 8x]
/sys/board/bus/pci/0000/02/00/0/	pciclass:300
/sys/board/bus/pci/0000/02/00/0/	pcisubclass:0000
/sys/board/bus/pci/0000/02/00/0/	rev:a4
/sys/board/bus/pci/0000/02/00/0/	slot:0000:02:00.0
/sys/board/bus/pci/0000/02/00/0/	status:02b0
/sys/board/bus/pci/0000/02/00/0/	vendor:10de
------- Comment #19 From 2005-10-26 10:09:33 -------
Это из инсталятора ?

Очень странно.
------- Comment #20 From 2005-10-26 17:52:09 -------
(In reply to comment #19)
> Это из инсталятора ?
> Очень странно.

Из compact-3.0rc10.
Переключился из висящих Xов на консоль и слил выхлоп команды <pciscan -p -c003>
на флешку.
 

------- Comment #21 From 2006-12-17 21:39:22 -------
apparently fixed
------- Comment #22 From 2007-04-01 23:37:25 -------
Дистрибутив: server-i586-20070330

Проблема сново актуальна. Упорно пытается грузиться с "vesa" драйвером.
Ставил руками в /etc/X11/xorg.conf драйвер "nv" - X поднялись.
------- Comment #23 From 2007-04-02 11:05:12 -------
Во-первых, не separator, а spt тогда уж.  Во-вторых, не spt, а
alterator-install2  IIRC.  В-третьих, vesa там вполне сознательно, см.
обсуждение в sisyphus@.

Далее... nvidia != nv, а 20070330 запускается и нормально устанавливается на
7600GT (надо ещё дома проверить на 6600, GF4/FX5xxx сейчас под рукой нет).

Надо понять, в чём проблема конкретно у тебя.
------- Comment #24 From 2007-04-02 11:37:17 -------
(In reply to comment #23)
> Во-первых, не separator, а spt тогда уж.  Во-вторых, не spt, а
> alterator-install2  IIRC.  В-третьих, vesa там вполне сознательно, см.
> обсуждение в sisyphus@.

Я заметил, но решил не отрывать от контекста, поскольку фактически данная
проблема продолжение вышеописанной.
 
> Далее... nvidia != nv, а 20070330 запускается и нормально устанавливается на
> 7600GT (надо ещё дома проверить на 6600, GF4/FX5xxx сейчас под рукой нет).
> 
> Надо понять, в чём проблема конкретно у тебя.

У меня таже проблема с GeForce4MX описанная в #6, #9, #13 и ниже, данного
обсуждения.
------- Comment #25 From 2007-04-02 11:39:36 -------
Это сюда.
component -> alterator-install2
------- Comment #26 From 2007-04-05 15:48:20 -------
Нужен вот такой алгоритм работы, как было в 3.0 (с небольшими изменениями):

по умолчанию всегда fbdev, или nv или s3 (в зависимости от карты).
Если не поднимается nv или s3 (в зависимости от карты) - пробовать fbdev
Если не поднимается fbdev - поднимать vesa
если не поднимается vesa - поднимать vga

Плюс к этому возможность жёстко указать драйвер или разрешение для fbdev 
в gfxboot.

По умолчанию в gfxboot - оптимальное разрешение.

Тогда в 99% случаев всё будет работать нормально.
------- Comment #27 From 2007-04-09 21:37:58 -------
Дистрибутив: 2007&#8211;04&#8211;06
Проблема по прежнему актуальна!
------- Comment #28 From 2007-04-15 19:07:42 -------
Дистрибутив: server-x86_64-20070413.iso
Проблема по прежнему актуальна!
------- Comment #29 From 2007-04-22 20:05:14 -------
См. тж. https://bugzilla.altlinux.org/show_bug.cgi?id=11186#c8
------- Comment #30 From 2007-04-28 14:34:24 -------
Дистрибутив: server-x86_64-20070426.iso
Проблема по прежнему актуальна!
------- Comment #31 From 2007-04-28 17:46:21 -------
Боюсь, откладывается на 4.0.1.  Но рекомендацию Антона мне кажется осмысленным
задействовать.
------- Comment #32 From 2007-05-23 18:27:32 -------
(In reply to comment #31)
> Боюсь, откладывается на 4.0.1.  Но рекомендацию Антона мне кажется 
осмысленным
> задействовать.
Десктоп 4.0 это оно? Ибо для него это актуально.
Кроме того, запуск на этой карте со splash, ядро 2.6.18-std-smp, приводит к 
подвисанию сразу после lilo.
------- Comment #33 From 2007-05-24 09:54:58 -------
Вешайте на ядро. Видимо framebuffer колбасит
------- Comment #34 From 2007-06-17 18:40:50 -------
ALT4.0: 15.06.2007
Проблема решена
------- Comment #35 From 2007-06-19 00:43:09 -------
(In reply to comment #34)
> ALT4.0: 15.06.2007
> Проблема решена
Да неужто, ура!!